<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper
        namespace="com.qmth.themis.business.dao.TOeExamAnswerMapper">

    <select id="findByExamRecordId"
            resultType="com.qmth.themis.business.bean.admin.OpenRecordAnswerTempBean">
        SELECT t.main_number as mainNumber,
               t.sub_number  as subNumber,
               t.sub_index   as subIndex,
               t.answer      as answer
        FROM t_oe_exam_answer t
        WHERE t.exam_record_id = #{examRecordId}
        order by t.main_number, t.sub_number, t.sub_index
    </select>
</mapper>